Package org.apache.sling.event.impl.jobs.jmx

# Class QueuesMBeanImpl

java.lang.Object
javax.management.StandardMBean
javax.management.StandardEmitterMBean
org.apache.sling.event.impl.jobs.jmx.QueuesMBeanImpl

All Implemented Interfaces:
  `DynamicMBean`, `MBeanRegistration`, `NotificationBroadcaster`, `NotificationEmitter`, `org.apache.sling.event.jobs.jmx.QueuesMBean`

public class QueuesMBeanImpl extends StandardEmitterMBean implements org.apache.sling.event.jobs.jmx.QueuesMBean

## Constructor Summary

Constructors
Constructor
Description
`QueuesMBeanImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`activate(org.osgi.framework.BundleContext bc)`
`void`
`deactivate()`
`String[]`
`getQueueNames()`
`void`
`sendEvent(QueueStatusEvent e)`

### Methods inherited from class javax.management.StandardEmitterMBean

`addNotificationListener, getNotificationInfo, removeNotificationListener, removeNotificationListener, sendNotification`

### Methods inherited from class javax.management.StandardMBean

`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueuesMBeanImpl

public QueuesMBeanImpl()

## Method Details

### activate

public void activate(org.osgi.framework.BundleContext bc)

### deactivate

public void deactivate()

### sendEvent

public void sendEvent(QueueStatusEvent e)

### getQueueNames

public String[] getQueueNames()

Specified by:
  `getQueueNames` in interface `org.apache.sling.event.jobs.jmx.QueuesMBean`